packages: calibre/calibre.spec, calibre/calibre-mount-helper (NEW) - rel 2 ...

mmazur mmazur at pld-linux.org
Tue Mar 29 00:32:53 CEST 2011


Author: mmazur                       Date: Mon Mar 28 22:32:53 2011 GMT
Module: packages                      Tag: HEAD
---- Log message:
- rel 2
- added mount helper script which utilizes udisks (stolen from Debian)
- use python instead of python2 in the shebang

---- Files affected:
packages/calibre:
   calibre.spec (1.81 -> 1.82) , calibre-mount-helper (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: packages/calibre/calibre.spec
diff -u packages/calibre/calibre.spec:1.81 packages/calibre/calibre.spec:1.82
--- packages/calibre/calibre.spec:1.81	Sun Mar 27 18:42:06 2011
+++ packages/calibre/calibre.spec	Tue Mar 29 00:32:48 2011
@@ -12,17 +12,19 @@
 Summary(pl.UTF-8):	Konwerter oraz biblioteka dla e-booków
 Name:		calibre
 Version:	0.7.52
-Release:	1
+Release:	2
 License:	GPL v3+
 Group:		Applications/Multimedia
 Source0:	%{name}-%{version}-nofonts.tar.xz
 # Source0-md5:	2d20153b4b26c6d5330a141768bffaeb
 Source1:	generate-tarball.sh
+Source2:	calibre-mount-helper
 Patch0:		%{name}-prefix.patch
 Patch1:		%{name}-manpages.patch
 Patch2:		%{name}-no-update.patch
 Patch3:		%{name}-env_module.patch
 Patch4:		%{name}-locales.patch
+Patch5:		shebang-python-fix.patch
 URL:		http://www.calibre-ebook.com/
 BuildRequires:	ImageMagick-devel >= 6.6.4.7
 BuildRequires:	chmlib-devel
@@ -104,6 +106,7 @@
 %patch2 -p1
 %patch3 -p1
 %patch4 -p1
+%patch5 -p1
 
 %build
 %{__python} setup.py build
@@ -141,6 +144,8 @@
 
 %{__rm} $RPM_BUILD_ROOT%{_bindir}/%{name}-uninstall
 
+install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}
+
 %find_lang %{name} --all-name --with-qm
 
 %clean
@@ -153,6 +158,7 @@
 %attr(755,root,root) %{_bindir}/calibre-complete
 %attr(755,root,root) %{_bindir}/calibre-customize
 %attr(755,root,root) %{_bindir}/calibre-debug
+%attr(755,root,root) %{_bindir}/calibre-mount-helper
 %attr(755,root,root) %{_bindir}/calibre-parallel
 %attr(755,root,root) %{_bindir}/calibre-server
 %attr(755,root,root) %{_bindir}/calibre-smtp
@@ -184,6 +190,11 @@
 All persons listed below can be reached at <cvs_login>@pld-linux.org
 
 $Log$
+Revision 1.82  2011/03/28 22:32:48  mmazur
+- rel 2
+- added mount helper script which utilizes udisks (stolen from Debian)
+- use python instead of python2 in the shebang
+
 Revision 1.81  2011/03/27 16:42:06  lisu
 - 0.7.52
 

================================================================
Index: packages/calibre/calibre-mount-helper
diff -u /dev/null packages/calibre/calibre-mount-helper:1.1
--- /dev/null	Tue Mar 29 00:32:53 2011
+++ packages/calibre/calibre-mount-helper	Tue Mar 29 00:32:48 2011
@@ -0,0 +1,28 @@
+#!/bin/sh -e
+# Replacement for upstream mount helper using udisks/eject
+# (C) 2010 Martin Pitt <mpitt at debian.org>
+
+ACTION="$1"
+DEV="$2"
+
+case "$ACTION" in
+    mount)
+	udisks --mount "$DEV"
+    
+	# check if mount worked. If not, fail
+	# udisks does return 0 even if mount failed
+	mount | grep -q "$DEV" || exit 0
+	;;
+
+    eject)
+	eject "$DEV"
+	;;
+
+    cleanup)
+	;;
+
+    *)
+	echo "unknown action" >&2
+	exit 1
+esac
+
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/calibre/calibre.spec?r1=1.81&r2=1.82&f=u



More information about the pld-cvs-commit mailing list